## peg-e 1.1.2

=== debian/changelog ===
peg-e (1.1.2-1ubuntu2) trusty; urgency=medium

  * Rebuild in the correct landing PPA.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Mar 2014 21:07:53 +0200

peg-e (1.1.2-1ubuntu1) trusty; urgency=medium

  * Rebuild against Qt 5.2.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 09:08:05 +0200

peg-e (1.1.2-1) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * New upstream release
  * Create debian/watch, debian/peg-e.manpages, debian/source/format
  * Create debian/peg-e.menu. Closes: #726850
  * debian/control:
    - Switch to Qt5 B-deps
    - Use debhelper 9
    - Drop B-dep on dh-buildinfo, it is near pointless
  * Use DEP5 copyright
  * debian/rules: Install binary to usr/games

  [ Vincent Cheng ]
  * Update debian/copyright to include full GPL-3+ license header.
  * Update to Standards version 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 28 Feb 2014 02:59:41 -0800

peg-e (1.1.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #513535)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 10 May 2009 21:03:09 +0200
