## peg-e 1.2.1

=== debian/changelog ===
peg-e (1.2.1-0mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  
 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 15 Oct 2015 12:12:45 -0700

peg-e (1.2.1-0ppa1~trusty1) trusty; urgency=low

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Sun, 25 Jan 2015 15:54:36 +0000

peg-e (1.2.0-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.2.0
    - Added support for high DPI displays.
    - Switched to C++11 random classes.
    - Removed support for Qt 4.
    - Translation updates: Czech, Dutch, German, Greek, Hebrew, Lithuanian,
      Malay, Polish, Romanian, Russian, Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Thu, 22 Jan 2015 12:43:51 +0000

peg-e (1.1.2-0ppa2~trusty1) trusty; urgency=low

  * Switch to Qt 5
  * Update copyright file

 -- Graeme Gott <graeme@gottcode.org>  Sun, 11 May 2014 16:47:26 +0000

peg-e (1.1.2-0ppa1~trusty1) trusty; urgency=low

  * Initial release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 25 Jun 2013 20:08:37 +0000
