=== debian/control ===
Source: peg-e
Section: games
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Graeme Gott <graeme@gottcode.org>
Build-Depends: debhelper (>= 9), 
 qtchooser | qt5-default,
 qtbase5-dev
Standards-Version: 3.9.3
Homepage: http://gottcode.org/peg-e/

Package: peg-e
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peg elimination solitaire game
 Peg-E is a peg solitaire game in which you jump over pieces in order to
 remove them from the board, ultimately trying to eliminate all but one.
 The boards are randomly generated, with 100 levels of difficulty. The game
 auto-saves, and has undo-redo capability. Pieces can move horizontally,
 vertically, and diagonally.
