=== debian/rules ===
#!/usr/bin/make -f


export QT_SELECT=qt5

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

override_dh_builddeb:
	dh_builddeb -- -Z xz
