## peg-e 1.2.2

=== debian/changelog ===
peg-e (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.2.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Update debian/copyright.
  * Build-depend on qttools5-dev-tools to prevent a FTBFS due to missing
    lrelease command.
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Thu, 13 Oct 2016 14:39:42 +0200

peg-e (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.2.1.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * Fix Lintian error: build-depends-on-metapackage and remove qt5-default from
    Build-Depends. Export QT_SELECT=qt5 in debian/rules instead.
  * debian/copyright: Add LGPL-3+ licensed files.
  * Drop debian/peg-e.6 and use upstream's man page instead.

 -- Markus Koschany <apo@debian.org>  Fri, 11 Dec 2015 21:55:40 +0100
