## peg-e 1.2.3

=== debian/changelog ===
peg-e (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.3.
  * Drop deprecated menu file.
  * Declare compliance with Debian Policy 4.0.1.
  * Use https for Format field.
  * Add get-orig-source target.
  * Change package priority to optional.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Aug 2017 17:19:26 +0200
