=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: peg-e
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
@@ -8,7 +8,7 @@
  debhelper (>= 10),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://gottcode.org/peg-e/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/
