## peg-e 1.2.4

=== debian/changelog ===
peg-e (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.4.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Jan 2018 16:44:45 +0100
