=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://gottcode.org/peg-e/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/
