=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games
 
+get-orig-source:
+	uscan --download-current-version --force-download
