## peg-e 1.2.6

=== debian/changelog ===
peg-e (1.2.6-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper compat 10 to ease backports.
  * Disable automatic dbgsym files.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Aug 2018 13:51:33 -0700

peg-e (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.6.
  * Declare compliance with Debian Policy 4.1.5.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Jul 2018 08:35:50 +0200
