=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 get-orig-source:
 	uscan --download-current-version --force-download
