## peg-e 1.2.7

=== debian/changelog ===
peg-e (1.2.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:39 +0100

peg-e (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.7.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Mon, 12 Aug 2019 01:08:16 +0200
