=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: http://gottcode.org/peg-e/
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/peg-e/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/peg-e/
+Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
+Vcs-Browser: https://salsa.debian.org/games-team/peg-e
 
 Package: peg-e
 Architecture: any
