## peg-e 1.2.8

=== debian/changelog ===
peg-e (1.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.8.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sat, 30 May 2020 00:54:10 +0200
