=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e
