=== debian/watch ===
version=3
https://github.com/gottcode/peg-e/releases \
.*[^n]/(?:|v|r|REL_|rel-|peg-e(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
