## peg-e 1.3.0

=== debian/changelog ===
peg-e (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Drop peg-e.install, and peg-e.manpages that install the desktop file, the
    executable, and the man page manually, as the upstream build system already
    installs them properly.

  [ Markus Koschany ]
  * New upstream version 1.3.0.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Sat, 09 Oct 2021 23:09:51 +0200
