=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  qtbase5-dev,
  qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e
