=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games
