=== debian/changelog ===
peg-e (1.3.2-1build3) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:33:36 +0200

peg-e (1.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:40 +1100

peg-e (1.3.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:52 +0000

peg-e (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.2
  * Switch to Qt6 & cmake.

  [ Reiner Herrmann ]
  * Fix watch file and update to version 4

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no more changes needed.
  * Add upstream metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Dec 2023 23:28:30 +0100
