=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: peg-e
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends:
  debhelper-compat (= 13),
- qtbase5-dev,
- qttools5-dev-tools
-Standards-Version: 4.6.0
-Homepage: http://gottcode.org/peg-e/
+ cmake,
+ qt6-base-dev,
+ qt6-tools-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e
