=== debian/watch ===
version=4
https://github.com/gottcode/peg-e/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
