## peg-e 1.3.5

=== debian/changelog ===
peg-e (1.3.5-1) unstable; urgency=medium

  * Team Upload
  * Update Miriam email address
  * Bring back missing tools

  [ Patrice Duroux ]
  * d/watch: version 5
  * d/gbp.conf: added with pristine.
  * d/control: remove RRR: no (default)
  * d/control: switch to SV 4.7.2.
  * New upstream version 1.3.5
  * d/copyright: bump year.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 Jan 2026 14:56:52 +0100
