=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: peg-e
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Miriam Ruiz <little_miry@yahoo.es>
+ Miriam Ruiz <miriam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  qt6-base-dev,
  qt6-tools-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gottcode.org/peg-e/
 Vcs-Git: https://salsa.debian.org/games-team/peg-e.git
 Vcs-Browser: https://salsa.debian.org/games-team/peg-e
